Subject: Re: bug#38343: 27.0.50; vc git: Cannot edit outgoing log (like git commit --amend)

From: Dmitry Gutov <[email-masked]>
Date: Wed, 27 Nov 2019 02:10:33 +0200

On 26.11.2019 22:43, Fredrik Nyqvist wrote:
> Den mån 25 nov. 2019 kl 23:49 skrev Dmitry Gutov <[email-masked] 
> <mailto:[email-masked]>>:
> 
>     On 25.11.2019 22:16, Fredrik Nyqvist wrote:
>      > Yes, I have tried the option you mention to edit the last commit
>     with
>      > C-x C-e and it is working fine.
>      > But It seems that it only allows amending the last commit if I have
>      > edited a file.
> 
>     Yes. Not sure how to change an arbitrary commit in Git anyway (without
>     interactive rebase). The best approximation looks like this:
> 
>     https://stackoverflow.com/a/48999882/615245
> 
> 
> I am not sure how to do it in a good way either. Maybe the option to 
> edit an
> older commit message could be skipped for vc-git. And then just allow amend
> on the latest one.

The question is how to skip. Error in the end, after the user has 
already written the new commit message?

Or add a backend predicate action, like "can edit revision ##". That's 
one more action, though.